import { ExpressionCard } from "../../components";
import { ExpressionDescription } from "../../components/ExpressionDescription";
import { useExpressionById, useQueryExpressionId } from "../../hooks";

export function ExpressionCardView() {
  const expression_id = useQueryExpressionId();
  const expression = useExpressionById(expression_id);

  if (expression === undefined) return null; // LOADING
  // TODO query error view?

  return (
    <div className="page-with-padding content-list scroll">
      <ExpressionCard
        prompt={expression.prompt}
        categories={[]}
        description={<ExpressionDescription expression={expression} />}
        show_description
      />
    </div>
  );
}
